#ifndef ASERIAL_H
#define ASERIAL_H

typedef struct {
	int fd;
	int msgno;
} aserial_t;

aserial_t *aserial_new(void);
void aserial_destroy(aserial_t *as);
int aserial_open(aserial_t *as, char *name, int baud);
void aserial_close(aserial_t *as);
ssize_t aserial_write(aserial_t *as, char *data, size_t nbyte);
ssize_t aserial_read(aserial_t *as, char *data, size_t nbytes);

#endif
